---
layout: post
title: "Polipo changes maintainer"
permalink: polipo-changes-maintainer
date: 2009-12-11
author: phobos
category: blog
tags: ["Google Summer of Code", "maintainer", "new features", "performance", "polipo", "volunteer"]
---

Congratulations to Chrisd for assuming maintainership of the Polipo codebase from Juliusz. The full announcement is available at [the mailing list archives](http://sourceforge.net/mailarchive/forum.php?thread_name=87d42l7fka.fsf%40trurl.pps.jussieu.fr&forum_name=polipo-users).

_Why Chris?_

Chrisd was a 2009 Google Summer of Code for Tor/EFF. His project was [Polipo Portability Enhancements](https://blog.torproject.org/blog/polipo-portability-enhancements-summary). Chris has proven himself to be a very competent coder and able to design and implement features as needed. He even wrote a SOCKS layer fix for Firefox bugs, [https://bugzilla.mozilla.org/show\_bug.cgi?id=280661](https://bugzilla.mozilla.org/show_bug.cgi?id=280661 "https://bugzilla.mozilla.org/show\_bug.cgi?id=280661").

_What does this mean to Tor?_

It means we have a fantastic new coder maintaining the polipo codebase. Bugfixes, features, and more frequent releases should help improve polipo beyond where it is today.

_Is Tor going to control Polipo?_

We're not going to influence Chris on the direction of Polipo, but provide him support, volunteers, and an infrastructure to let him do what he needs to do. Juliusz created polipo and got it off to a great start. We're going to support Chris in continuing the progress. The world still wants an http proxy that's modern, fast, and flexible. Privoxy is a fine alternative to polipo, perhaps the two projects can come together.

_What's happening to Juliusz?_

Juliusz is a busy person. His free time has been concentrated on Babel, [http://www.pps.jussieu.fr/~jch/software/babel/](http://www.pps.jussieu.fr/~jch/software/babel/ "http://www.pps.jussieu.fr/~jch/software/babel/"), over the past year. Juliusz is still a committer to polipo. We appreciate all of his help during the transition and for the years of maintenance of polipo.

